// Fast hex printing function for debugging
// Copyright 2003, Ilya Mironov & Dmitry Teytelman

#include <8052.h>

#include "buttons.h"

static data char idx;
code unsigned char hexchar[]="0123456789abcdef";

void print_hex (unsigned int val)
{
  ser_puts("0x");
  for (idx = 3; idx >= 0; idx--)
    ser_putc(hexchar[(unsigned char) ((val>>(idx*4))&0xf)]);
}

void print_hexl (unsigned long int val)
{
  ser_puts("0x");
  for (idx = 7; idx >= 0; idx--)
    ser_putc(hexchar[(unsigned char) ((val>>(idx*4))&0xf)]);
}
