#pragma once

const MAXTEAMS = 8;
const CString logName = "scores.log";

enum GAMETYPE{GAMENONE, GAMEBRAINCION, GAMEBRAINRING, GAMESVOYAK, GAMEBRAINMULT};

extern GAMETYPE currGame;

class CTeamRecord{
public:
	CString m_name;
	int		m_label;
	int		m_money;
	int		m_points;
	bool	enabled;

	CTeamRecord(){ m_name = ""; m_label = 0; m_money = 0; m_points = 0; enabled = true;}
};

extern int currTeams;
extern CTeamRecord teamArray[MAXTEAMS];
extern int currSeedCapital;

void ChangeTeamName(int i, CString s, bool bWrite = true);
void ChangeTeamButton(int i, int n, bool bWrite = true);
void ChangeTeamScore(int i, int p, bool bWrite = true);
void ChangeTeamCapital(int i, int m, bool bWrite = true);

void UpdateScoreCards();
void UpdateScores();
void ResetScores(int nSeedCapital);
void WriteTransaction(int i);
void ReadFile();

