// Copyright 2003, Ilya Mironov & Dmitry Teytelman

#ifndef _SHARED_H_
  #define _SHARED_H_
    
  #define MCR_C_GETTIMER	't'
  #define MCR_C_RESTART		'r'
  #define MCR_C_STOP		's'

  // Event types
  #define MCR_E_EVENT		0x0000
  #define MCR_E_STARTFAIL	0x1000
  #define MCR_E_SERTIMER	0x2000
  #define MCR_E_STOP		0x4000
  
  // Event mask
  #define MCR_M_EVENT		0xf000

  // Message size is 6 bytes
  #define MCR_C_MSGSIZE		6


#endif
