// ChooseGame.cpp : implementation file
//
// Copyright 2003, Ilya Mironov & Dmitry Teytelman

#include "stdafx.h"
#include "countdown.h"
#include "ChooseGame.h"
#include "scoretable.h"

// CChooseGame dialog

IMPLEMENT_DYNAMIC(CChooseGame, CDialog)
CChooseGame::CChooseGame(CWnd* pParent /*=NULL*/)
	: CDialog(CChooseGame::IDD, pParent)
{
}

CChooseGame::~CChooseGame()
{
}


void CChooseGame::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_BUTTON1, buttonBraincion);
	DDX_Control(pDX, IDC_COMBO1, m_portname);
}


BEGIN_MESSAGE_MAP(CChooseGame, CDialog)
	ON_BN_CLICKED(IDC_BUTTON1, OnBnClickedButton1)
	ON_BN_CLICKED(IDC_BUTTON2, OnBnClickedButton2)
//	ON_CBN_SELCHANGE(IDC_COMBO1, OnCbnSelchangeCombo1)
//ON_CBN_SELCHANGE(IDC_COMBO1, OnCbnSelchangeCombo1)
//ON_BN_CLICKED(IDC_SVOYAK2, OnBnClickedSvoyak2)
//ON_BN_CLICKED(IDC_BRAINRING, OnBnClickedBrainring)
END_MESSAGE_MAP()


// CChooseGame message handlers
BOOL CChooseGame::OnInitDialog()
{
	if(FALSE == CDialog::OnInitDialog()) return FALSE;

	SetWindowText(" ");

	HICON m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);

	SetIcon(m_hIcon, false);
	
	CheckRadioButton(IDC_BRAINCION, IDC_BRAINMULT, IDC_BRAINCION);

	for(int i = 0; i < 3; i++){
		CString strPort;
		m_portname.GetLBText(i, strPort);
		if(strPort.CompareNoCase(COMPORT) == 0)
            m_portname.SetCurSel(i);
	}

	return TRUE;
}

void CChooseGame::OnBnClickedButton1()
{
	CString strPort;
	int n = m_portname.GetCurSel();
	m_portname.GetWindowText(strPort);
	_tcscpy(COMPORT, _T(strPort.MakeUpper()));

	switch(GetCheckedRadioButton(IDC_BRAINCION, IDC_BRAINMULT)){
		case IDC_BRAINCION:
				EndDialog(GAMEBRAINCION);
				break;
		case IDC_BRAINRING:
				EndDialog(GAMEBRAINRING);
				break;
		case IDC_BRAINMULT:
				EndDialog(GAMEBRAINMULT);
				break;
		case IDC_SVOYAK:
				EndDialog(GAMESVOYAK);
				break;
	}
}

void CChooseGame::OnBnClickedButton2()
{
	EndDialog(GAMENONE);
}

void CChooseGame::OnCancel(){
	EndDialog(GAMENONE);
}
//void CChooseGame::OnBnClickedSvoyak2()
//{
//	// TODO: Add your control notification handler code here
//}

//void CChooseGame::OnBnClickedBrainring()
//{
//	// TODO: Add your control notification handler code here
//}
