// Copyright 2003, Ilya Mironov & Dmitry Teytelman

#ifndef _SERIAL_H_
#define _SERIAL_H_

// 4k input buffer will hold 682 messages!
#define SER_IBUFSIZE	4096
#define SER_OBUFSIZE	4096

extern bool bKeyboard;

// Serial interface definitions
HANDLE SerialInit(TCHAR*, int); 
char SerialGetc(HANDLE*);
void SerialPutc(HANDLE*, char);
char* SerialGets(HANDLE*);
void SerialPuts(HANDLE*, char*);
int SerialInBuf(HANDLE *hCom);
/*
   Read count bytes from the serial port. If timeout is exceeded, fewer
   bytes will be read. Return value indicates how many bytes were
   placed in buf.
*/
unsigned long SerialRead(HANDLE *hCom, void *buf, int count);

#endif
